%define archive_name py3nvml

Name:           python3-nvml
Version:        0.2.3
Release:        %mkrel 2
Summary:        Python 3 compatible bindings to the NVIDIA Management Library.
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/fbcotter/py3nvml
Source:         https://github.com/fbcotter/py3nvml/archive/%{archive_name}-%{version}.tar.xz
BuildRequires:  python-rpm-macros
Provides:   p3nvml

%description
Python 3 compatible bindings to the NVIDIA Management Library. Can be used to query the state of the GPUs on your system. This was ported from the NVIDIA provided python bindings nvidia-ml-py, which only supported python 2. I have forked from version 7.352.0. The old library was itself a wrapper around the NVIDIA Management Library.

In addition to these NVIDIA functions to query the state of the GPU, I have written a couple functions/tools to help in using gpus (particularly for a shared gpu server). These are:

- A function to 'restrict' the available GPUs by setting the CUDA_VISIBLE_DEVICES environment variable.
- A script for displaying a differently formatted nvidia-smi.


%prep
%setup -q -n %{archive_name}-%{version}

%build
 %{__python3} setup.py build

%install

rm -rf $RPM_BUILD_ROOT
 %{__python3} setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%{_bindir}/py3smi
%{python3_sitelib}/*

%changelog
* Sun Oct 13 2019 tex - 0.2.3-2pclos2019
- rebuild against updates

* Fri May 17 2019 pckg <pckg at email.cz> 0.2.3-1pclos2019
- Initial package
